<?php

namespace Teknisa\Libs\Exception;

class CustomException extends \Exception {
    /** @var $params array */
    protected $params;

    /**
     * @param string $message
     * @param int $code
     * @param array $params
     * @param \Exception $previous
     */
    public function __construct($message = "", $code = 0, $params = array(), \Exception $previous = null) {
        $this->message  = $message;
        $this->code     = $code;
        $this->params   = $params;
        $this->previous = $previous;
    }

    public function getParams() {
        return $this->params;
    }
}